Subject: findutils: "find /foo -printf '%P\n'" incorrect
From: Tim Moorhouse <[email-masked]>
To: [email-masked]
Date: Thu, 09 Dec 2004 10:26:29 -0500

I'm not sure when this stopped working, but it was in the last couple of
weeks.

Suppose I have a /foo/bar/baz file and do a "find /foo -printf '%P\n'".
I'm now getting "foo/bar/baz" as output instead of "bar/baz" - when
formatting the %P option of printf, it seems to be assuming that the
path on the command line is always "/" instead of what was actually
given.

The set of files is correct (it's not actually using "/" as the path and
looking through the entire filesystem), it's just the formatting of the
output that seems to be wrong. 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/